octeon: select gcc 4.6 by default
authorJohn Crispin <john@openwrt.org>
Sun, 27 Jul 2014 14:52:00 +0000 (14:52 +0000)
committerJohn Crispin <john@openwrt.org>
Sun, 27 Jul 2014 14:52:00 +0000 (14:52 +0000)
Signed-off-by: John Crispin <blogic@openwrt.org>
SVN-Revision: 41843

toolchain/gcc/Config.in
toolchain/gcc/Config.version

index 97c74de..1ec6503 100644 (file)
@@ -3,7 +3,7 @@
 choice
        prompt "GCC compiler Version" if TOOLCHAINOPTS
        default GCC_USE_VERSION_4_4_7 if avr32
-       default GCC_USE_VERSION_4_6_LINARO if octeon
+       default GCC_USE_VERSION_4_6_LINARO if TARGET_octeon
        default GCC_USE_VERSION_4_8_LINARO
        help
          Select the version of gcc you wish to use.
index 3e5bf78..417fd4d 100644 (file)
@@ -3,11 +3,11 @@ config GCC_VERSION_4_4_7
        bool
 
 config GCC_VERSION_4_6_LINARO
-       default y if (!TOOLCHAINOPTS && octeon)
+       default y if (!TOOLCHAINOPTS && TARGET_octeon)
        bool
 
 config GCC_VERSION_4_8_LINARO
-       default y if (!TOOLCHAINOPTS && !avr32 && !octeon)
+       default y if (!TOOLCHAINOPTS && !avr32 && !TARGET_octeon)
        bool
 
 config GCC_VERSION_4_8_0